﻿@page
@model lap.tel.com.Areas.Identity.Pages.Account.RegisterModel
@{
    ViewData["Title"] = "Rejestracja";
}

<h1>@ViewData["Title"]</h1>

<div class="row">
    <div class="col-md-4">
        <form id="registerForm" asp-route-returnUrl="@Model.ReturnUrl" method="post">
            <h2>Utwórz nowe konto.</h2>
            <hr />
            <div asp-validation-summary="ModelOnly" class="text-danger" role="alert"></div>
            <div class="form-floating mb-3">
                <input asp-for="Input.Email" class="form-control" autocomplete="username" aria-required="true" placeholder="name@example.com" />
                <label asp-for="Input.Email">Email</label>
                <span asp-validation-for="Input.Email" class="text-danger"></span>
            </div>
            <div class="form-floating mb-3">
                <input asp-for="Input.Password" class="form-control" autocomplete="new-password" aria-required="true" placeholder="password" />
                <label asp-for="Input.Password">Hasło</label>
                <span asp-validation-for="Input.Password" class="text-danger"></span>
            </div>
            <div class="form-floating mb-3">
                <input asp-for="Input.ConfirmPassword" class="form-control" autocomplete="new-password" aria-required="true" placeholder="password" />
                <label asp-for="Input.ConfirmPassword">Potwierdź hasło</label>
                <span asp-validation-for="Input.ConfirmPassword" class="text-danger"></span>
            </div>
            <div class="form-floating mb-3">
                <input asp-for="Input.FirstName" class="form-control" aria-required="true" placeholder="First Name" />
                <label asp-for="Input.FirstName">Imię</label>
                <span asp-validation-for="Input.FirstName" class="text-danger"></span>
            </div>
            <div class="form-floating mb-3">
                <input asp-for="Input.LastName" class="form-control" aria-required="true" placeholder="Last Name" />
                <label asp-for="Input.LastName">Nazwisko</label>
                <span asp-validation-for="Input.LastName" class="text-danger"></span>
            </div>
            <div class="form-floating mb-3">
                <input asp-for="Input.PhoneNumber" class="form-control" aria-required="true" placeholder="Numer Telefonu" />
                <label asp-for="Input.PhoneNumber">Numer telefonu</label>
                <span asp-validation-for="Input.PhoneNumber" class="text-danger"></span>
            </div>
            <div class="form-floating mb-3">
                <input asp-for="Input.Address" class="form-control" aria-required="true" placeholder="Address" />
                <label asp-for="Input.Address">Adres</label>
                <span asp-validation-for="Input.Address" class="text-danger"></span>
            </div>
            <div class="form-floating mb-3">
                <input asp-for="Input.PostalCode" class="form-control" aria-required="true" placeholder="Postal Code" />
                <label asp-for="Input.PostalCode">Kod Pocztowy</label>
                <span asp-validation-for="Input.PostalCode" class="text-danger"></span>
            </div>
            <div class="form-floating mb-3">
                <input asp-for="Input.City" class="form-control" aria-required="true" placeholder="City" />
                <label asp-for="Input.City">Miasto</label>
                <span asp-validation-for="Input.City" class="text-danger"></span>
            </div>
            <div class="form-floating mb-3">
                <input asp-for="Input.DateOfBirth" class="form-control" aria-required="true" placeholder="Date of Birth" />
                <label asp-for="Input.DateOfBirth">Data Urodzenia</label>
                <span asp-validation-for="Input.DateOfBirth" class="text-danger"></span>
            </div>
            <button id="registerSubmit" type="submit" class="w-100 btn btn-lg btn-primary">Zarejestruj się</button>
        </form>
    </div>
    <div class="col-md-6 col-md-offset-2">
        <section>
            <h3>Masz już konto?</h3>
            <hr />
            @{
                if ((Model.ExternalLogins?.Count ?? 0) == 0)
                {
                    <div>
                        <p>Nie musisz się rejestrować mając już swoje konto. Po prostu <a asp-area="Identity" asp-page="/Account/Login">zaloguj się</a> używając swoich danych logowania.</p>
                    </div>
                }
                else
                {
                    <form id="external-account" asp-page="./ExternalLogin" asp-route-returnUrl="@Model.ReturnUrl" method="post" class="form-horizontal">
                        <div>
                            <p>
                                @foreach (var provider in Model.ExternalLogins!)
                                {
                                    <button type="submit" class="btn btn-primary" name="provider" value="@provider.Name" title="Log in using your @provider.DisplayName account">@provider.DisplayName</button>
                                }
                            </p>
                        </div>
                    </form>
                }
            }
        </section>
    </div>
</div>

@section Scripts {
    <partial name="_ValidationScriptsPartial" />
}